Googlefier - Install GMS on Huawei/Honor

Search This thread

DasXardas

Senior Member
Jun 5, 2010
63
4
Prague
Hello, please can you help me? I have P40 lite JNY-LX1 hw-eu on FW version 10.0.1.136(C432E2R2P1). I proceeded everything in guide but it Google play store doesn't work. Every step goes great, except step one, I need to install EloYGomeZTv - microG in separate installer because, button 1 is not responding. (I downloaded Googlefier from shortcut here from APKmirror). So I added google account, etc... but everytime after update Google play services to the latest version 21.48.16, Play store shows "Your device is not play protect compliant". Sync on google account are working. I tried it many times with the same result. Can you help me please? Is there anybody who has working Google play services on the same model? I made the same on my Mate Pad Pro 10.1 and there is working properly also with newest Google play services.
 

badmania98

Senior Member
Sep 23, 2007
1,978
666
52
ROMANIA
Huawei P40 Pro
Hello, please can you help me? I have P40 lite JNY-LX1 hw-eu on FW version 10.0.1.136(C432E2R2P1). I proceeded everything in guide but it Google play store doesn't work. Every step goes great, except step one, I need to install EloYGomeZTv - microG in separate installer because, button 1 is not responding. (I downloaded Googlefier from shortcut here from APKmirror). So I added google account, etc... but everytime after update Google play services to the latest version 21.48.16, Play store shows "Your device is not play protect compliant". Sync on google account are working. I tried it many times with the same result. Can you help me please? Is there anybody who has working Google play services on the same model? I made the same on my Mate Pad Pro 10.1 and there is working properly also with newest Google play services.
No. 3 and No. 1b (comments) here.
 
  • Like
Reactions: DasXardas

wechselstrom

Member
Oct 24, 2011
24
3
I need your help please. I downgraded my Huawei Mate Xs to EMUI 10.0.1.123, installed the Googlefier app and imported the backup from the LZApp. Up until then everything was going fine. But now when I click the first button on the Googlefier app, nothing happens. I've tried several EMUI versions, but it's always the same problem. What can be the reason?
 

ItsNikolasGR

New member
Aug 22, 2020
4
0
I have a P40 Lite (JNY-LX1), I have downgraded to 10.0.1.136 and have installed google services and they work perfectly. the newest firmware update is 10.1.0.335. Can I update safely or there is risking of losing google services?
 

badmania98

Senior Member
Sep 23, 2007
1,978
666
52
ROMANIA
Huawei P40 Pro
I have a P40 Lite (JNY-LX1), I have downgraded to 10.0.1.136 and have installed google services and they work perfectly. the newest firmware update is 10.1.0.335. Can I update safely or there is risking of losing google services?
You can upgrade. GMS will work 50-50. Could have errors (play protect) that could be fixed. No downgrade will be requested till you don't make factory reset.
 
Jul 24, 2021
17
3
Googlefier works for me on 11.0.0.230
But I installed it back on emui 10...
I made a complete mess today by activating App twin and was getting the dreaded not Google verified device.
So I ran Googlefier it took 2 attempts to get Google play services back working.
Then used ice box to freeze Google Framework / use aurora store and get all notifications.
Thank you so much Mr E B 👍🏻
 
Last edited:
Jul 24, 2021
17
3
I need your help please. I downgraded my Huawei Mate Xs to EMUI 10.0.1.123, installed the Googlefier app and imported the backup from the LZApp. Up until then everything was going fine. But now when I click the first button on the Googlefier app, nothing happens. I've tried several EMUI versions, but it's always the same problem. What can be the reason?
Turn automatic time off. Select 2020. Open Googlefier you should be able to press button 1 which will open up Google sign in. ( make sure at this point to switch time / date back to automatic but don't close any apps fully) worked for me today.
 
  • Like
Reactions: wechselstrom

Top Liked Posts

  • There are no posts matching your filters.
  • 1
    Hello badmania 🙂

    I have a p40 lite that I downgraded to 1.0.1.136. The Google Play services work and I can install apps. The trouble is I keep getting notifications (every few seconds from all google apps) that my phone is not Google Play Protect Certified. How do I stop this from happening?
    See here.
  • 43
    Wecome to Googlefier,

    After a successful tool for LG G2 and LG G3 owners (AutoRec), but after a long pause, here is something new and I hope useful

    Googlefier is a simple tool, designed to help you install GMS on your Huawei/Honor device


    gf.PNG



    Video & Article - please take time to watch the video, answers some open questions



    Check stats for your device here

    statsi.png


    Please read the Q/A on POST #2 < click

    Downgrade help is on POST #3 < click

    Firmware Downloads (c432 global only) are on POST #4 < click

    Troubleshooting is on POST #5 < click


    Before asking any questions please read posts 2-5, check if your question has already been answered, in order to keep the thread clean.

    Also - try to ask questions in some sense they are understandable

    A simple: "IT doesn't work - will be ignored and possibly deleted, because it doesn't add to thread quality", instead you should describe the steps properly, and you will get an answer.

    I also encourage all of the members to keep the "alternative downgrade methods" to some other threads, which I will for sure link later. Also please don't spam with firmware links, rather PM me and I will add it to POST #4, let's try to keep the thread clean. As time goes by, I'll try to add more firmware and cover more of the Q/A and Troubleshooting POST/Section so everyone can help himself / herself by simple power of reading



    As always, any donation is highly appreciated and welcome, since a lot of time has been invested into this tool and in research




    click ----> DOWNLOAD - click here to download <- Someone ddosed the server, which means the server is gone, thx a lot :), I mean I don't have anything out of the downloads, I guess the person who ddosed the server had some incomes coming either from googlefier (since some sell it for 4-5 dollars) or it did hurt him in other way..thx a lot, good job!

    Alternative DOWNLOAD from APKMIRROR <----

    click ----> Donate - for support and future projects




    P.S. Please DON'T reupload without permission


    changelog:
    27.10.2020 - Added contact fix (if you are installing it fresh you don't have to do anything to apply it) (if you already have running services - press the FIX button and then press FIX contact sync (it will ONLY fix the contact sync, nothing else))


    popravak.png



    credits:
    microG - microg
    EloYGomeZTv - microG fork + login
    9
    Firmware Downloads





    I'm confused, what do I download?

    -Check your emui version, the important data is:

    1. device name
    -example ANA-NX9

    2. version
    -example C432 or C185 - just download the one for your device


    P40 Lite
    JNY-LX1
    10.0.1.111(C432*****)


    download


    P40 Lite
    JNY-LX1
    10.0.1.136(C432E2R2P1)


    download

    P40 Lite
    JNY-LX1
    10.0.1.111(C185E2R2P1)


    download

    P40 5G
    ANA-NX9
    (C432E6R5P2)


    download

    P40 5G
    ANA-NX9
    (C432E5R4P1)


    download

    P40 5G
    ANA-NX9
    EMUI*109(C432E5R4P1)


    download

    P40 5G
    ANA-NX9
    10.1.0.131(c432)


    download

    P40 5G
    ANA-NX9
    10.1.0.121(C185)


    download
    mirror

    P40 Lite E
    ART-L29
    C432*****


    download


    P40 PRO+
    ELS-N39
    C432****


    download
    P40 PRO
    ELS-NX9
    (C432E8R5P2)


    download

    P40 PRO
    ELS-NX9
    (C432E7R4P1)


    download

    P40 PRO
    ELS-NX9
    10.1.0.114(C185E9R3P1)


    download

    P40 PRO
    ELS-NX9
    10.1.0.114(C636E8R4P1)


    download

    Y5P
    DRA-LX9
    (C432E3R1P2)


    download

    Y7P
    ART-L28
    10.1.0.106(C636E2R2P1)


    download

    Matepad 10.4
    BAH3-W09
    10.1.0.118(C432E4R1P3)


    download

    MatePad Pro
    MRX-W09
    10.1.0.120(C432E135R1P135)


    download - Thx to TMc19


    HUAWEI P40 lite 5G
    CDY-NX9A
    10.1.1.131(C432)


    download


    Honor V30 pro 5G
    OXF-AN10
    3.0.1.152(C00)


    download





    Removed firmware requests, I don't have the bandwidth on easy-firmware, nor the time to constantly download-upload stuff, sorry

    click ----> Donate - for support and future projects
    ---this post will change, be sure to visit it for some more firmware


    Alternative link with all of the downloads: click here

    8
    Downgrade Help






    Downgrade via usb/sd


    You NEED USB-OTG -> see the picture

    usbotg.jpg




    Prerequisites

    1. Check your firmware version(emui)
    2. Check the stats about the max supported version for Googlefier/Lzplay
    3. Download the firmware which is supported
    4. Make backup…

    Where can I find the firmware?
    -All of the firmware version that are in the download post I’ve downloaded from easy-firmware, yes I’ve paid 17$ to be able to download firmware for people, but you are welcome to get your firmware from a source which you prefer, please don’t pollute the thread with the firmware download links, there should be a separate thread for that

    transfer.png


    Method 1

    0. Make backup..seriously, this will wipe your partitions and reflash them(your files will be gone)
    1. Download your firmware
    2. In case it’s from my uploads you just extract the “dload” folder to your usb/sd
    3. Turn off your phone
    4. Hold volume up and power, until you see the recovery (or. https://www.youtube.com/watch?v=ztobeBHh4Fk if your phone doesn’t have volume keys)
    5. Select upgrade "Memory card / OTG update mode" and that’s it, it will first verify the firmware and flash






    Note: If method 1 doesn't work, try method 2.

    For troubleshooting – see the troubleshooting section

    Method 2

    you need HiSuite 10.0.0.510 (find it and download, install it)
    1. -Open your dialer inside android
    -type *#*#2846579#*#*
    -tap on 2. "Veneer Informations"
    -tap on 1. "Version Info"
    -scroll down to "Base Software Version"
    -You will see something like "JNY-LGRP2-OVS 10.0.1.108"
    -Just ignore everything after LGRP2, means you need the "JNY-LGRP2" only
    -Type "JNY-LGRP2" or any string you find in that info - into textbox from step 1(in the hisuite proxy) and press step 1

    2. Find a suitable firmware, check that it's "FullOTA-MF" and not just OTA-MF, copy the url link next to the date, paste it into the "package url" inside the hisuite proxy
    3. Copy the text which is next to the date, on the webpage - paste it to the "firmware version" inside the hisuite proxy
    4. Press "Start proxy", connect the phone, authorize with HDB (you should know how to do that)
    5. press update in HiSuite - It will download the older firmware and install it

    Here is the image of how the procedure looks like: CLICK

    DOWNLOAD Hisuite Proxy Modified

    Note:

    IF method 1 doesn't work for you (stuck at 5%), try finding the firmware somewhere else, or do what I do

    1. find some service where you can download firmware (I use easy-firmware)
    2. pay 17$
    3. find your firmware, download it, extract using that weird ef extractor
    <- this is exactly what I do all the day when you ask me to upload you firmware

    What to check?
    1. device name
    -example ANA-NX9

    2. version
    -example C432 or C185 - just download the one for your device

    OR - try method 2 with hisuite

    Note 2

    You might be able to download the firmware using the free service here ,
    but this is something for the "method 2" for now. I will work on it to try to use the very same firmware you can download from there so you can use it with your SD or USB.
    Not promising anything, but I think it's doable - I just don't have a device ATM and I don't want to bother anyone risking a device


    click ----> Donate - for support and future projects
    ---this post will change, be sure to visit it for alternative/different downgrade methods
    8
    Hi, at first thanks for this very clear process, but I realized, this is not working with matepad 10.4 (BAH3-W09).
    I downgraded successful to 10.0.118, but lzplay is not initialized.
    After I read 20 pages of this thread, it looks like the (C432) version of matepad is not googlefiered with this method. Please, update the original post about this device to help others not spend much time with that.
    7
    Q/A



    1. What devices are supported?
    - Currently Huawei / Honor devices running Android 10 and Emui10. There are limitations based on firmware versions.

    2. Does it use LZplay(Chinese app)?
    -Yes it does. You can uninstall it after the installation is done.

    3. How do I know if it work on my device?
    -You don’t. You need to try it. IF lzplay runs on the device then it will 99% work. However there is a list where you can see some firmware versions on which it’s reported to be working.

    4. I don’t have LZplay and it still worked, how?
    -At some point, on previous firmware version – your phone had LZplay running and/or someone tried the GMS installation method. (yes, even after resetting..yes weird..)

    5. Do firebase push notifications work?
    -No they don’t, some apps will have their notifications pushed through, most of them wont.

    6. I'm getting notifications, a lot of them, what do I do?
    -Hit the fix button and follow the instructions.

    7. I've hit the FIX button, but it doesn't fix a thing. Why do you lie to us? :D
    -The fix button is there to assist you in fixing your own errors :), you didn't follow the procedure.
    -After you hit "fix", just read the instructions.
    -After EVERY single services install do this:
    *Open playstore, browse it, close playstore and all running apps from the recents menu
    *Open sync settings, uncheck-and re-check the sync on/off settings
    *Open playstore - install 2-3 apps, games...close playstore and all running apps from the recents menu
    *Proceed with button 3, just like the message box instructs (until it says everything is done)
    *still getting errors? Repeat..

    8. Does APP {insert name here} which depends on google location services/play services/games work?
    -Most probably it does, even apps like tapatalk work with the google sign in

    9. Is factory reset mandatory?
    -No, there is a button to make sure your previous experimenting is deleted

    10. Will this damage/delete my data?
    -No, this doesn’t touch your data. Although a factory reset is recommended if you want to do it right. Some people use different google replacements, aurora store, microg…etc..they mostly don’t play nicely together, there is just no guarantee it will work. A clean device will set a baseline for the installation.

    11. Some advice on the procedure?
    -always read the message boxes – they are NOT just for your amusement there, it’s very easy to miss something
    -before doing anything – do a backup
    -don’t give up on the first try
    -don’t assume the next step – there are message boxes (already told that, but..)
    -always first read the questions, then the troubleshooting – before asking a question

    12. Ok, so I successfully installed the GMS, everything works. Can I update the Apps, upgrade the system, delete Googlefier, delete LZplay, delete Google Account Manager?
    -Of course, the answer to all is YES. After the successful installation you can report the success-or a failure, just tap on “?”, it will lead you to the “YES it works”, “NO it doesn’t work” chooser. And of course, there is the donate button, which is appreciated and welcome, since a lot..lot of time is invested into this, and still being invested through the support and further investigation.
    I personally have used this services to update

    13. Will this work on my device, version 154? or Will this work on my device, version XXX ?
    -Yes and No. There are multiple factors. Depends if lzplay was at some time installed on this device - no matter what version it was on. If it was installed at for example version 106 and you made a FR, then YES you can still install even if on 154 or more recent. There is however a list of the devices that works by default and some that users report it works on.
    workingversions.PNG

    14. Can I run it on my XXXX on my YYYY version?
    -See this:
    canitrun.png


    15. It doesn't work...
    -Ok, let's try fixing it. I see some Honor users just hit the "doesn't work" button. There is still downgrade, let's look up the firmware and test it. If I could spend 2-2.5 months investigating this and then again downloading all the firmware files, extracting them, repacking and uploading them, I guess 1-2 minutes of your time isn't too much to ask?

    click ----> Donate - for support and future projects
    ---this post will change, be sure to visit it for more information